package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 业务类型
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/13
 */
public enum BizTypeEnum implements ICodeEnum {

    /**
     * 权限
     */
    AUTH("auth", "权限"),
    /**
     * 任务
     */
    TASK("task", "任务");

    private final String value;

    private final String label;

    BizTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

}
