package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 处理人类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/20
 */
public enum CandidateTypeEnum implements ICodeEnum {
    /**
     * 群组
     */
    GROUP("group", "群组"),
    /**
     * 机构
     */
    ORG("org", "机构"),
    /**
     * 用户
     */
    USER("user", "用户");

    public final String value;
    public final String label;

    CandidateTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
