package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/5 8:59
 */
public enum LogTypeEnum implements ICodeEnum {
    /**
     * 审批管理日志
     */
    MANAGE_LOG("MANAGE_LOG", "审批管理日志"),
    /**
     * 请求日志
     */
    REQUEST_LOG("REQUEST_LOG", "请求日志"),
    /**
     * 操作日志
     */
    OPERATE_LOG("OPERATE_LOG", "操作日志"),
    ;

    public final String value;

    public final String label;

    LogTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static LogTypeEnum getValue(String code) {
        LogTypeEnum[] var1 = values();

        for (LogTypeEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
