package com.dragonsoft.dcuc.approve.enumresources.bu;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 正常审批
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
public enum ApproveModeEnum implements ICodeEnum {

    /**
     * 正常审批
     */
    NORMAL("1", "正常审批");

    public final String value;
    public final String label;

    ApproveModeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
