package com.dragonsoft.dcuc.approve.facade.api.v3;

import com.dragonsoft.dcuc.approve.model.req.v3.rzy.RzyRiskInfoReqVO;
import com.dragonsoft.dcuc.approve.model.resp.RzyRiskInfoRespVO;
import com.fasterxml.jackson.core.JsonProcessingException;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Api(tags = "安全策略控制服务接口")
@FeignClient(name = "approve")
public interface IApiV3SecurityPolicyFacade {

    @ApiOperation(value = "权限审批请求推送接口", notes = "审批请求推送接口")
    @PostMapping(value = "api/v3/security-police/rzy-risk-info")
    RzyRiskInfoRespVO rzyRiskInfo(@RequestBody String riskInfo) throws JsonProcessingException;

}
