package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author lidr
 * @date 2021/2/4
 */
@Data
@ApiModel(description = "转办信息")
public class AgentReqVO {
    @ApiModelProperty(value = "流程ID")
    private String processId;
    @ApiModelProperty(value = "转办接收人")
    @NotBlank
    private String assigneeUser;
    @ApiModelProperty(value = "任务ID")
    @NotBlank
    private String taskId;

}
