package com.dragonsoft.dcuc.approve.model.req.v2;

import com.dragonsoft.dcuc.approve.model.req.ApproveOperateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/3/2
 */
@ApiModel(description = "V2审批操作")
@EqualsAndHashCode(callSuper = true)
@Data
public class ApproveOperateV2ReqVO extends ApproveOperateReqVO {

    @NotBlank
    @ApiModelProperty(value = "访问资源编码,多个以,分割")
    private String visitResourceCode;

    @NotBlank
    @ApiModelProperty(value = "访问资源名称,多个以,分割")
    private String visitResourceName;

    @ApiModelProperty(value = "不同意访问资源编码,多个以,分割")
    private String disagreeVisitResourceCode;

    @ApiModelProperty(value = "不同意访问资源名称,多个以,分割")
    private String disagreeVisitResourceName;
}
