package com.dragonsoft.dcuc.approve.model.req.v3.rzy;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Data
@ApiModel(description = "风险信息内容")
public class RzyRiskInfoDetailReqVO {

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("威胁类型1")
    private String threatClassif;

    @ApiModelProperty("威胁类型2")
    private String extendThreatClassif;

    @ApiModelProperty("威胁名称，风险名称")
    private String threatName;

    @ApiModelProperty("威胁描述,风险内容")
    private String threatDesc;

    @ApiModelProperty("威胁等级")
    private String threatLevel;

    @ApiModelProperty("威胁评分")
    private String threatScore;

    @ApiModelProperty("威胁阶段")
    private String threatStage;

    @ApiModelProperty("来源")
    private String source;

    @ApiModelProperty("源地址")
    private String srcAddr;

    @ApiModelProperty("目的地址")
    private String dstAddr;

    @ApiModelProperty("用户")
    private List<String> user;


}
