package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Data
@ApiModel(description = "用户信息")
public class ApproveUserInfoRespVO {
    /**
     * id
     */
    @ApiModelProperty(name = "id", notes = "")
    private String id;
    /**
     * 身份证号
     */
    @ApiModelProperty(name = "身份证号", notes = "")
    private String idcard;
    /**
     * 姓名
     */
    @ApiModelProperty(name = "姓名", notes = "")
    private String userName;
    /**
     * 警衔
     */
    @ApiModelProperty(name = "警衔", notes = "")
    private String policeRank;
    /**
     * 警号
     */
    @ApiModelProperty(name = "警号", notes = "")
    private String policeNumber;
    /**
     * 警种
     */
    @ApiModelProperty(name = "警种", notes = "")
    private String policeCategory;
    /**
     * 民族
     */
    @ApiModelProperty(name = "民族", notes = "")
    private String nation;
    /**
     * 手机号
     */
    @ApiModelProperty(name = "手机号", notes = "")
    private String mobileWork;
    /**
     * 机构代码
     */
    @ApiModelProperty(name = "机构代码", notes = "")
    private String orgCode;
    /**
     * 职务信息
     */
    @ApiModelProperty(name = "职务信息", notes = "")
    private String postType;
    /**
     * 在职类型
     */
    @ApiModelProperty(name = "在职类型", notes = "")
    private String jobType;
    /**
     * 远程更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "远程更新时间", notes = "")
    private Date remoteUpdateTime;
    /**
     * 是否删除
     */
    @ApiModelProperty(name = "是否删除", notes = "")
    private String deleted;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date updateTime;
}
