package com.dragonsoft.dcuc.approve.model.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangrs
 * @date 2021/2/7
 * 个人数据展示
 */
@ApiModel(description = "应用功能资源")
@Data
public class StatisticsDataVo implements Serializable {
    private static final long serialVersionUID = 3312323948659364272L;

    /**
     * 代办数量
     */
    @ApiModelProperty("代办数量")
    private Integer unFinishQty;
    /**
     * 已办事宜
     */
    @ApiModelProperty("已办事宜")
    private Integer finishQty;

    /**
     * 我的请求
     */
    @ApiModelProperty("我的请求")
    private Integer myRequestQty;
}
