package com.dragonsoft.dcuc.approve.business.api;

import com.dragonsoft.dcuc.approve.model.req.v3.ZeroTrustApproveCreateReqV3VO;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
public interface IApproveApiBusiness {
    /**
     * 校验签名
     *
     * @param zeroTrustApproveCreateReqV3VO 审批接口请求信息
     * @return 是否通过
     */
    boolean checkCallerSign(ZeroTrustApproveCreateReqV3VO zeroTrustApproveCreateReqV3VO);


    /**
     * 检测taskId格式
     *
     * @param taskId taskId
     * @return 是否正确
     */
    boolean isStanderTaskNo(String taskId);
}
