package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.OperateLogVo;
import com.dragonsoft.dcuc.approve.service.IOperateLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@RestController
public class OperateLogFacade implements IOperateLogFacade {

    @Autowired
    private IOperateLogService operateLogService;

    /**
     * 审批操作日志列表
     * @param searchable
     * @return
     */
    @Override
    public Page<OperateLogVo> queryOperateLogList(Searchable searchable) {
        return operateLogService.queryOperateLogList(searchable);
    }

    /**
     * 审批操作日志列表
     *
     * @param id
     * @return
     */
    @Override
    public ResponseDTO<OperateLogVo> flowOperateLogDetail(String id) {
        return operateLogService.flowOperateLogDetail(id);
    }
}