package com.dragonsoft.dcuc.approve.filter.cache;

import com.dragonsoft.duceap.base.entity.security.SecurityUser;

import java.util.Optional;

/**
 * <p>
 * 获取用户信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/3
 */
public interface ISecurityUserResolver {

    /**
     * 获取用户信息
     *
     * @param idcard 用户外部ID
     * @return 用户信息
     */
    Optional<SecurityUser> resolve(String idcard);

}
