package com.dragonsoft.dcuc.approve.model.dto;

import com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum;
import com.dragonsoft.dcuc.approve.model.vo.ApproveTaskRequestVo;
import com.dragonsoft.duceap.duwf.api.model.TaskRequest;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * 基础操作请求
 * </p>
 *
 * @author huangzqa
 * @date 2023/3/2
 */
@Data
@Builder
public class BaseOperateReqDTO {
    /**
     * 操作人Idcard
     */
    private String operateIdcard;
    /**
     * 任务ID
     */
    private String taskId;
    /**
     * 提交类型
     */
    private ApproveWorkFlowOperationEnum operationEnum;
    /**
     * 请求体
     */
    private TaskRequest<ApproveTaskRequestVo> taskRequest;
    /**
     * 审批信息
     */
    private ApprovalInfoDTO approvalInfoDTO;
    /**
     * 请求人信息
     */
    private TaskRequestUserInfoDTO taskRequestUserInfoDTO;
    /**
     * 审批单号
     */
    private String approveNo;
    /**
     * 处理单号
     */
    private String processNo;
    /**
     * 审批记录单号
     */
    private String approveRecordId;
    /**
     * 是否命中红名单
     */
    private Boolean hitRedList;
}
