package com.dragonsoft.dcuc.approve.model.dto;

import lombok.Data;

/**
 * <p>
 * 日志信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/1
 */
@Data
public class LogInfoMetaDTO {

    /**
     * 应用令牌
     */
    private String appToken;

    /**
     * 日志类型
     */
    private String logType;

    /**
     * 任务key
     */
    private String taskKey;

    /**
     * 流程key
     */
    private String flowKey;

    /**
     * 实例ID
     */
    private String processInstanceId;

    /**
     * 客户端IP
     */
    private String terminalIp;

    /**
     * 流程结束标志
     */
    private Boolean flowFinish;

    /**
     * 审批处理行为类型，包括：审批流程处理类型，审批请求处理类型，审批操作处理类型
     */
    private String businessType;

    /**
     * 红名单操作内容
     */
    private String redListOperateRespVO;

    /**
     * 是否需要发送红名单风险
     */
    private Boolean needSendRedListRisk;
    
    private String taskId;
    private String taskName;
    private String appName;
    private String operatorCertNo;
    private String operatorName;
    private String operatorOrgName;
    private String operatorOrgCode;
    private String operateTime;
    private String operateType;
}
