package com.dragonsoft.dcuc.approve.model.dto;

import com.dragoninfo.dcuc.duceap.enums.OperateDisposeTypeEnum;
import com.dragonsoft.dcuc.approve.enumresources.QmApproveTypeEnum;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/6/24
 */
@Builder
@Data
public class QmOperateLogDTO {

    /**
     * 应用令牌
     */
    private String appToken;

    /**
     * 审批类型
     */
    private QmApproveTypeEnum qmApproveTypeEnum;

    /**
     * 审批单Id
     */
    private String approveId;

    /**
     * 审批单号
     */
    private String approveNo;

    /**
     * 审批记录的唯一标识
     */
    private String approveLogId;

    /**
     * 提请审批身份证
     */
    private String requestIdcard;

    /**
     * 提请审批人员名称
     */
    private String requestUsername;

    /**
     * 提请审批IP
     */
    private String requestApproveIp;

    /**
     * 审批人身份证号
     */
    private String approveIdcard;

    /**
     * 审批人名称
     */
    private String approveUserName;

    /**
     * 审批处理行为类型，包括：审批流程处理类型，审批请求处理类型，审批操作处理类型
     */
    private String businessType;

    /**
     * 审批时间
     */
    private Date approveTime;

    /**
     * 审批结果
     */
    private OperateDisposeTypeEnum operateDisposeTypeEnum;

    /**
     * 流程结束标志
     */
    private Boolean flowFinish;
    
    /**
     * V2新增 用于传递必要参数
     */
    private LogInfoMetaDTO logInfoMetaDTO;

}
