package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.FlowManageLog;
import com.dragonsoft.dcuc.approve.model.resp.FlowManageLogVo;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public interface IFlowManageLogService {

    /**
     * 审批流程管理日志列表
     *
     * @param searchable 搜索条件
     * @return 分页
     */
    Page<FlowManageLogVo> queryFlowManageLogList(Searchable searchable);

    /**
     * 审批流程管理日志详情
     *
     * @param id id
     * @return 状态
     */
    ResponseDTO<FlowManageLogVo> flowManageLogDetail(String id);

    /**
     * 日志保存
     *
     * @param flowManageLog 流程管理日志
     */
    void saveFlowManageLog(FlowManageLog flowManageLog);
}
