ALTER TABLE `t_approval_info`
ADD COLUMN `APPROVE_RESULT`  varchar(50) NULL COMMENT '审批结果（成功：SUCCESS;失败：FAIL）' AFTER `UPDATE_TIME`;

CREATE TABLE `t_task_assign_record` (
  `id` varchar(32) NOT NULL COMMENT '主键ID',
  `current_activity_id` varchar(100) NOT NULL COMMENT '当前任务定义id',
  `current_activity_name` varchar(100) DEFAULT NULL COMMENT '当前任务名称',
  `next_activity_id` varchar(100) NOT NULL COMMENT '下一任务定义id',
  `next_activity_name` varchar(100) DEFAULT NULL COMMENT '下一任务名称',
  `assign_user` varchar(32) DEFAULT NULL COMMENT '指定人',
  `operate_type` varchar(50) DEFAULT NULL COMMENT '操作类型（详见ApproveWorkFlowOprationEnum枚举）',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) NOT NULL COMMENT '创建人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务指派记录表';