package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/5 8:59
 */
public enum ApproveResultEnum implements ICodeEnum {
    /**
     * 成功
     */
    SUCCESS("01", "成功"),

    /**
     * 失败
     */
    FAIL("02", "失败"),
    /**
     * 已删除
     */
    DELETED("03", "已删除"),
    /**
     * 审批中
     */
    APPROVE_ING("04", "审批中"),

    ;

    public final String value;
    public final String label;


    ApproveResultEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static ApproveResultEnum getValue(String code) {
        ApproveResultEnum[] var1 = values();

        for (ApproveResultEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
