package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 名单资源类型
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/8
 */
public enum ListResourceTypeEnum implements ICodeEnum {
    /**
     * 用户
     */
    USER("user", "用户"),

    /**
     * 服务
     */
    SERVICE("service", "服务"),

    /**
     * 功能
     */
    FUNCTION("function", "功能"),

    /**
     * 数据
     */
    DATA("data", "数据");

    private String value;

    private String label;

    ListResourceTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
