package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/5 8:59
 */
public enum LogReceiverEnum implements ICodeEnum {
    /**
     * 审计服务
     */
    AUDIT_SERVICE("audit", "审计服务"),
    /**
     * 业务安全策略控制服务
     */
    SECURITY_POLICY_SERVICE("security_policy_service", "业务安全策略控制服务"),

    ;

    public final String value;
    public final String label;


    LogReceiverEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static LogReceiverEnum getValue(String code) {
        LogReceiverEnum[] var1 = values();

        for (LogReceiverEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
