package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

public enum QmApproveTypeEnumV2 implements ICodeEnum {
	
	/**
     * 发起
     */
	START("13", "发起流程"),
    /**
     * 撤销
     */
    RECALL("14", "撤销"),
    /**
     * 撤回
     */
    REBACK("16", "撤回"),
    /**
     * 审批
     */
    APPROVE("15", "审批"),


    //TODO addwanghao  未知字典码  随机写了
    /**
     * 挂起
     */
    SUSPEND("17", "挂起"),

    /**
     * 激活
     */
    ACTIVATE("18", "激活"),

    /**
     * 终止
     */
    REDO("19", "终止");


    private final String value;

    private final String label;

    QmApproveTypeEnumV2(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
