package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 令牌动作
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
public enum ZeroTrustTokenActionEnum implements ICodeEnum {
    /**
     * 上线
     */
    ONLINE("online", "上线"),

    /**
     * 下线
     */
    OFFLINE("offline", "下线"),

    /**
     * 续期
     */
    RENEW("renew", "续期"),

    ;
    private final String value;

    private final String label;


    ZeroTrustTokenActionEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
