package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * @author huangzqa
 */

public enum ZeroTrustTokenTypeEnum implements ICodeEnum {
    /**
     * 用户令牌
     */
    USER("user", "用户令牌"),
    /**
     * 应用令牌
     */
    APP("app", "应用令牌");

    private final String value;

    private final String label;

    ZeroTrustTokenTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String getLabel() {
        return label;
    }
}
