package com.dragonsoft.dcuc.approve.facade.api;

import com.dragonsoft.dcuc.approve.model.resp.v3.ZeroTrustMessageRespVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author mazq
 * @date 2023/2/22
 */
@FeignClient(name = "approve", path = "api/v1/tokens/")
public interface IApiV1TokenFacade {

    /**
     * 接收令牌
     *
     * @param tokenReceiveJson
     * @return
     */
    @PostMapping("receive")
    ZeroTrustMessageRespVO tokenReceive(@RequestBody String tokenReceiveJson);

}
