package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author lidr
 * @date 2021/2/4
 */
@Data
@ApiModel(description = "资源信息")
public class ResourceInfoReqVO {

    @ApiModelProperty(value = "申请方编码")
    @NotBlank
    private String visitorCode;

    @ApiModelProperty(value = "申请方名称")
    @NotBlank
    private String visitorName;

    @ApiModelProperty(value = "访问资源编码,多个以,分割")
    private String visitResourceCode;

    @ApiModelProperty(value = "访问资源名称,多个以,分割")
    private String visitResourceName;

    @ApiModelProperty(value = "撤销资源编码,多个以,分割")
    private String removeVisitResourceCode;

    @ApiModelProperty(value = "撤销资源名称,多个以,分割")
    private String removeVisitResourceName;
}
