package com.dragonsoft.dcuc.approve.model.req.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
@Setter
@Getter
@ToString
@ApiModel(value = "流程业务数据")
public class BuApproveSyncBizApproveGridReqVO {

    @NotBlank
    @ApiModelProperty(value = "数据唯一ID")
    private String id;

    @NotBlank
    @ApiModelProperty(value = "业务数据类型")
    private String dataType;

    @ApiModelProperty(value = "要素内容，dataType为02时必填")
    private String elementContent;

    @ApiModelProperty(value = "要素类型编码，dataType为02时必填")
    private String elementType;

    @ApiModelProperty(value = "要素有效期开始时间，dataType为02时必填")
    private String elementTermStart;

    @ApiModelProperty(value = "要素有效期结束时间，dataType为02时必填")
    private String elementTermEnd;

    @ApiModelProperty(value = "承办单位编码")
    private String handleUnitCode;

    @ApiModelProperty(value = "承办单位名称")
    private String handleUnitName;

    @ApiModelProperty(value = "承办人ID")
    private String handleUserId;

    @ApiModelProperty(value = "承办人姓名")
    private String handleUserName;

}
