package com.dragonsoft.dcuc.approve.model.req.v1.token;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author mazq
 * @date 2023/3/31
 */
@Data
public class TokenReceiveVO {

    @NotBlank
    @ApiModelProperty(value = "令牌行为 online 上线 offline 下线 renew续期")
    private String action;

    @NotBlank
    @ApiModelProperty(value = "令牌类型 user用户令牌 app应用令牌")
    private String type;

    @NotBlank
    @ApiModelProperty(value = "令牌详细信息")
    private String token;

    @NotBlank
    @ApiModelProperty(value = "签名随机数")
    private String nonce;

    @NotBlank
    @ApiModelProperty(value = "签名")
    private String sign;

}
