package com.dragonsoft.dcuc.approve.model.resp;

import com.dragonsoft.duceap.duwf.api.model.TaskHistoryDetailVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/5 8:51
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("任务信息")
public class TaskVo extends TaskHistoryDetailVo {

    @ApiModelProperty(value = "流程类型名称")
    private String processTypeName;

    @ApiModelProperty(value = "流程标题")
    private String processTitle;

    @ApiModelProperty(value = "流程类型")
    private String processType;

    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "提请人姓名")
    private String applicantName;

    @ApiModelProperty(value = "未操作人信息")
    private String unOperateUsers;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    @ApiModelProperty(value = "业务ID（审批应用端）")
    private String businessId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "当前节点名称")
    private String taskName;

    @ApiModelProperty(value = "应用Code")
    private String appCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
