package com.dragonsoft.dcuc.approve.model.resp.taskclass;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 任务详情
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/11
 */
@Data
@ApiModel(description = "任务详情")
public class ApiTaskDetailRespVO {

    /**
     * 任务代码
     */
    @ApiModelProperty(value = "任务代码")
    private String taskCode;

    /**
     * 任务名称
     */
    @ApiModelProperty(value = "任务名称")
    private String taskName;

    /**
     * 任务类型代码
     */
    @ApiModelProperty(value = "任务类型代码")
    private String taskClassCode;

    /**
     * 任务类型名称
     */
    @ApiModelProperty(value = "任务类型名称")
    private String taskClassName;


}
