package com.dragonsoft.dcuc.approve.constants;

/**
 * <p>
 * 常量
 * </p>
 *
 * @author huangzqa
 * @date 2021/6/29
 */
public final class ApproveConstants {

    /**
     * 开始节点
     */
    public static final String START = "start";

    /**
     * 结束字符串
     */
    public static final String END_STR = "END";

    /**
     * 红名单
     */
    public static final String RED_LIST = "红名单";


    /**
     * 红白名单提示
     */
    public static final String LIST_TIP = "%s申请访问%s红名单%s。";

    /**
     * task id 任务编号前缀
     */
    public static final String TASK_ID_PREFIX = "RWBH";

    /**
     * 任务ID长度
     */
    public static final Integer TAK_ID_LENGTH = 38;

    /**
     * syslog日志sysLogName
     */
    public static final String SYS_LOG_NAME = "sysLog";

    /**
     * 任务数据
     */
    public static final String TASK_INFO = "taskInfo";
    /**
     * 要素/承办人数据
     */
    public static final String APPROVE_GRID = "approveGird";

    private ApproveConstants() {
    }
}
