package com.dragonsoft.dcuc.approve.constants;

/**
 * <p>
 * redis 常量
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/8
 */
public final class ApproveRedisConstants {

    /**
     * 审批命名空间
     */
    public static final String APPROVE_NAMESPACE = "DCUC-APPROVE:";

    /**
     * 审批推送,任务id redis前缀
     */
    public static final String APPROVAL_TASK_ID_PREFIX = APPROVE_NAMESPACE + "APPROVAL_TASK_ID:";

    /**
     * 同步机构时间
     */
    public static final String SYNC_ORG_TIME = APPROVE_NAMESPACE + "SYNC_ORG_TIME";

    /**
     * 同步用户时间
     */
    public static final String SYNC_USER_TIME = APPROVE_NAMESPACE + "SYNC_USER_TIME";


}

