package com.dragonsoft.dcuc.approve.facade;

import com.dragonsoft.dcuc.approve.business.IApproveExpirationBusiness;
import com.dragonsoft.dcuc.approve.business.external.IBuSyncBusiness;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/19
 */
@RestController
public class OpsFacade implements IOpsFacade {

    private IApproveExpirationBusiness approveExpirationBusiness;

    private IBuSyncBusiness buSyncBusiness;

    @Autowired
    public void setBuSyncBusiness(IBuSyncBusiness buSyncBusiness) {
        this.buSyncBusiness = buSyncBusiness;
    }

    @Autowired
    public void setApproveExpirationBusiness(IApproveExpirationBusiness approveExpirationBusiness) {
        this.approveExpirationBusiness = approveExpirationBusiness;
    }

    @Override
    public ResponseStatus schedulingExpirationTask() {
        approveExpirationBusiness.schedulingExpirationTask();
        return ResponseStatus.success();
    }

    @Override
    public ResponseStatus syncTuBu() {
        return buSyncBusiness.syncTuBu();
    }
}
