package com.dragonsoft.dcuc.approve.filter.cache;

import com.dragoninfo.dcuc.common.entity.SecurityApp;

import java.util.Optional;

/**
 * <p>
 * 获取应用信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/3
 */
public interface ISecurityAppResolver {

    /**
     * 获取应用信息
     *
     * @param appCode 应用代码
     * @return 应用信息
     */
    Optional<SecurityApp> resolve(String appCode);

}
