package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 安全策略预警信息
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/13
 */
@Data
@TableName("T_APPROVE_SECURITY_WARNING_INFO")
public class ApproveSecurityWarningInfo {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 威胁类型1
     */
    private String threatClassif;
    /**
     * 威胁类型2
     */
    private String extendThreatClassif;
    /**
     * 威胁名称
     */
    private String threatName;
    /**
     * 威胁描述
     */
    private String threatDesc;
    /**
     * 威胁等级
     */
    private String threatLevel;
    /**
     * 威胁评分
     */
    private String threatScore;
    /**
     * 威胁阶段
     */
    private String threatStage;
    /**
     * 来源
     */
    private String source;
    /**
     * 源地址
     */
    private String srcAddr;
    /**
     * 目的地址
     */
    private String dstAddr;
    /**
     * 风险创建时间
     */
    private Date riskCreateTime;
    /**
     * 创建时间
     */
    private Date createTime;

}
