package com.dragonsoft.dcuc.approve.model.vo.dcuc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author fuzq
 * @Date 2020/11/18 19:47
 **/
@ApiModel(value = "认证用户信息vo")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OauthUserVO implements Serializable {

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "警号")
    private String policeNumber;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "机构代码")
    private String orgCode;

    @ApiModelProperty(value = "人员类型")
    private String userType;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;

}
