package com.dragonsoft.dcuc.approve.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * BU同步配置
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
@Setter
@Getter
@Component
@ConfigurationProperties(prefix = "approve.bu")
public class ApproveBuProperties {

    /**
     * 是否启用同步
     */
    private boolean enable = true;

    /**
     * 同步任务路径
     */
    private String syncTaskUrl;

}
