package com.dragonsoft.dcuc.approve.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * <p>
 * 配置在logback-dragon.xml中，使用该文件方便提示
 * </p>
 *
 * @author huangzqa
 * @date 2022/11/11
 */
@Data
@ConfigurationProperties(prefix = "approve.syslog")
public class ApproveSyslogProperties {

    /**
     * syslog地址
     */
    private String host;

    /**
     * syslog端口
     */
    private Integer port;

    /**
     * syslogFacility
     */
    private String facility;


}
