package com.dragonsoft.dcuc.approve.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 竹云配置
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/7
 */
@Data
@Component
@ConfigurationProperties(prefix = "approve.bim")
public class BimProperties {

    /**
     * 竹云认证地址
     */
    private String identityUrl;

    /**
     * 校验令牌签名
     */
    private Boolean checkTokenSign = true;
}
