package com.dragonsoft.dcuc.approve.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragonsoft.dcuc.approve.mapper.ApproveQueryRelationMapper;
import com.dragonsoft.dcuc.approve.model.ApproveQueryRelation;
import com.dragonsoft.dcuc.approve.service.IApproveQueryRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/20
 */
@Service
public class ApproveQueryRelationServiceImpl implements IApproveQueryRelationService {

    @Autowired
    private ApproveQueryRelationMapper approveQueryRelationMapper;

    @Override
    public void save(ApproveQueryRelation approveQueryRelation) {
        approveQueryRelationMapper.insert(approveQueryRelation);
    }

    @Override
    public void deleteByApproveRecordId(String approveRecordId) {
        LambdaUpdateWrapper<ApproveQueryRelation> objectLambdaUpdateWrapper = Wrappers.lambdaUpdate();
        objectLambdaUpdateWrapper.eq(ApproveQueryRelation::getApproveRecordId, approveRecordId);
        approveQueryRelationMapper.delete(objectLambdaUpdateWrapper);
    }
}
